<template>
<div class="modal inmodal" id="worker_modal">
    <div class="modal-dialog">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Worker Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause_save }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <input type="hidden"  v-model="modal.data.id">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.last_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Last Name : </label>
                            <input class="form-control"  v-model="modal.data.last_name">

                            <div v-if="modal.errors.last_name">
                                <span class="help-block" v-for="error in modal.errors.last_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.first_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">First Name : </label>
                            <input class="form-control"  v-model="modal.data.first_name">

                            <div v-if="modal.errors.first_name">
                                <span class="help-block" v-for="error in modal.errors.first_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.middle_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Middle Name : </label>
                            <input class="form-control"  v-model="modal.data.middle_name">

                            <div v-if="modal.errors.middle_name">
                                <span class="help-block" v-for="error in modal.errors.middle_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./Name -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.hired_date  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Date Hired : </label>
                            <input type="date" class="form-control"  v-model="modal.data.hired_date">

                            <div v-if="modal.errors.hired_date">
                                <span class="help-block" v-for="error in modal.errors.hired_date" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./Date -->
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        :disable="modal.pause_save" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
